# $Id: ISA_misc.tcl,v 1.6 2002/07/05 12:43:29 rrp Exp $	

proc RRP_BindTkRenderWidget {widget} {
    bind $widget <KeyPress-q> {RepPoints %W}
    bind $widget <KeyPress-a> {AnnotatePoint %W %x %y}
    bind $widget <KeyPress-m> {InsertPoint %W %x %y}
    bind $widget <KeyPress-d> {LMP_UnsetCurrentPoint}
    bind $widget <KeyPress-l> {LMP_printPoints}
    bind $widget <KeyPress-n> {ClipPolysWithPlane}
    bind $widget <KeyPress-b> {ViewCutPlaneToggle}
    bind $widget <KeyPress-v> {ViewClipToggle}
    bind $widget <KeyPress-o> {ViewOrgDataToggle}
    bind $widget <KeyPress-Up> {LMP_DecCurrentPoint}
    bind $widget <KeyPress-Down> {LMP_IncCurrentPoint}
}

proc Scroll_Set {scrollbar geoCmd offset size} {
   if {$offset != 0.0 || $size != 1.0} {
      eval $geoCmd
   }
   $scrollbar set $offset $size
}

proc Scrolled_Listbox { f args } {
   frame $f
   listbox $f.list \
      -xscrollcommand [list Scroll_Set $f.xscroll \
          [list grid $f.xscroll -row 1 -column 0 -sticky we]] \
      -yscrollcommand [list Scroll_Set $f.yscroll \
          [list grid $f.yscroll -row 0 -column 1 -sticky ns]]
   eval {$f.list configure} $args
   scrollbar $f.xscroll -orient horizontal -command [list $f.list xview]
   scrollbar $f.yscroll -orient vertical -command [list $f.list yview]
   grid $f.list -sticky news
   grid rowconfigure $f 0 -weight 1
   grid columnconfigure $f 0 -weight 1
   return $f.list
}

proc RepPoints {widget} {
    global CurrentRenderer

    set actors [$CurrentRenderer GetActors]

    $actors InitTraversal
    set actor [$actors GetNextItem]
    while { $actor != "" } {
        [$actor GetProperty] SetRepresentationToPoints
        [$actor GetProperty] SetPointSize 2
        set actor [$actors GetNextItem]
    }
    .f1.r1 Render
}
